Qt 5.6 | Qt 3D | C++ Classes | QBlendState

Qt 5.6.3 Reference Documentation

# QBlendState Class

(Qt3DRender::QBlendState)

Encapsulates blending information. More...

Header: | #include <QBlendState>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | BlendState
Inherits: | QRenderState
Inherited By: | Qt3DRender::QBlendStateSeparate

- List of all members, including inherited members

## Public Types

enum | Blending { Zero, One, SrcColor, SrcAlpha, ..., OneMinusSrc1Color0 }

## Properties

- dstAlpha : Blending
- dstRGB : Blending
- srcAlpha : Blending
- srcRGB : Blending

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QBlendState(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QBlendState()
Blending | dstAlpha() const
Blending | dstRGB() const
Blending | srcAlpha() const
Blending | srcRGB() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDstAlpha(Blending dstAlpha)
void | setDstRGB(Blending dstRGB)
void | setSrcAlpha(Blending srcAlpha)
void | setSrcRGB(Blending srcRGB)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | dstAlphaChanged(Blending dstAlpha)
void | dstRGBChanged(Blending dstRGB)
void | srcAlphaChanged(Blending srcAlpha)
void | srcRGBChanged(Blending srcRGB)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QBlendState(QRenderState::Type type, Qt3DCore::QNode *parent = Q_NULLPTR)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Encapsulates blending information.

## Member Type Documentation

### enum QBlendState::Blending

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QBlendState::Zero` | `0` | 0
`Qt3DRender::QBlendState::One` | `1` | 1
`Qt3DRender::QBlendState::SrcColor` | `0x0300` | 0x0300
`Qt3DRender::QBlendState::SrcAlpha` | `0x0302` | 0x0302
`Qt3DRender::QBlendState::Src1Alpha` | ? |
`Qt3DRender::QBlendState::Src1Color` | ? |
`Qt3DRender::QBlendState::DstColor` | `0x0306` | 0x0306
`Qt3DRender::QBlendState::DstAlpha` | `0x0304` | 0x0304
`Qt3DRender::QBlendState::SrcAlphaSaturate` | `0x0308` | 0x0308
`Qt3DRender::QBlendState::ConstantColor` | `0x8001` | 0x8001
`Qt3DRender::QBlendState::ConstantAlpha` | `0x8003` | 0x8003
`Qt3DRender::QBlendState::OneMinusSrcColor` | `0x0301` | 0x0301
`Qt3DRender::QBlendState::OneMinusSrcAlpha` | `0x0303` | 0x0303
`Qt3DRender::QBlendState::OneMinusDstAlpha` | `0x0305` | 0x0305
`Qt3DRender::QBlendState::OneMinusDstColor` | `0x0307` | 0x0307
`Qt3DRender::QBlendState::OneMinusConstantColor` | `0x8002` | 0x8002
`Qt3DRender::QBlendState::OneMinusConstantAlpha` | `0x8004` | 0x8004
`Qt3DRender::QBlendState::OneMinusSrc1Alpha` | ? |
`Qt3DRender::QBlendState::OneMinusSrc1Color0` | ? |

## Property Documentation

### dstAlpha : Blending

Access functions:

Blending | dstAlpha() const
void | setDstAlpha(Blending dstAlpha)

Notifier signal:

void | dstAlphaChanged(Blending dstAlpha)

### dstRGB : Blending

Access functions:

Blending | dstRGB() const
void | setDstRGB(Blending dstRGB)

Notifier signal:

void | dstRGBChanged(Blending dstRGB)

### srcAlpha : Blending

Access functions:

Blending | srcAlpha() const
void | setSrcAlpha(Blending srcAlpha)

Notifier signal:

void | srcAlphaChanged(Blending srcAlpha)

### srcRGB : Blending

Access functions:

Blending | srcRGB() const
void | setSrcRGB(Blending srcRGB)

Notifier signal:

void | srcRGBChanged(Blending srcRGB)

## Member Function Documentation

### QBlendState::QBlendState(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QBlendState.

### `[protected]` QBlendState::QBlendState(QRenderState::Type type, Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QBlendState.

### QBlendState::~QBlendState()

Destroys the instance of QBlendState.